h2 {
  font-family: 'Quicksand', sans-serif;
  font-size: 18px;
  line-height: 27px;
  color: #197aa6;
  }

  h3 {
    font-family: 'Quicksand', sans-serif;
    font-size: 14px;
    line-height: 18px;
    color: #4a4949d6;
    text-shadow: 2px 2px 2px #d3d3d3;
    }

.verificador-imei {
    background-color: #f2f2f2;
    border: 1px solid #ddd;
    border-radius: 5px;
    box-shadow: 2px 2px 5px rgba(0, 0, 0, 0.3);
    padding: 20px;
    text-align: center;
    width: 400px;
    margin: 0 auto;
  }
  
  .verificador-imei h2 {
    font-size: 24px;
    margin-bottom: 20px;
  }

  .verificador-imei button {
    display: block;
    margin: 20px auto 0;
  }
  
  .imei-input-container {
    font-family: 'Quicksand', sans-serif;
    display: flex;
    align-items: center;
    justify-content: center;
    margin-bottom: 20px;
    position: relative;
  }
  
  
  .imei-input-container input {
    border: none;
    border-radius: 5px;
    box-shadow: 2px 2px 5px rgba(0, 0, 0, 0.3);
    font-size: 18px;
    padding: 10px;
    width: 100%;
  }
  
  .imei-input-container input::placeholder {
    color: #ccc;
  }
  
  .imei-input-container .counter {
    background-color: #fff;
    border-radius: 50%;
    color: #888;
    font-size: 14px;
    height: 24px;
    line-height: 24px;
    position: absolute;
    right: 10px;
    top: 50%;
    transform: translateY(-50%);
    width: 24px;
  }
  
  #validate-btn {
    background-color: #4CAF50;
    border: none;
    border-radius: 5px;
    color: #fff;
    cursor: pointer;
    font-size: 18px;
    padding: 10px 20px;
    transition: background-color 0.3s ease;
  }
  
  #validate-btn:hover {
    background-color: #3e8e41;
  }
  
  #validate-btn:disabled {
    background-color: #ccc;
    cursor: not-allowed;
  }
  
  #validate-btn:focus {
    outline: none;
  }

  .result-container {
    display: none;
  }
  
  .result-container.show {
    display: block;
    background-color: #8bd58b;
    border: 1px solid #155724;
    padding: 10px;
    margin-top: 10px;
    margin-bottom: 20px; /* Agregamos un margen inferior */
    color: #155724;
    font-family: 'Quicksand', sans-serif;
  }

  #reset-btn {
    display: flex;
    justify-content: center;
    margin-top: 40px; /* Agregamos un margen superior */
    margin-bottom: 20px; /* Agregamos un margen superior */
    background-color: #0f76eb;
    border: none;
    border-radius: 5px;
    color: #fff;
    cursor: pointer;
    font-size: 18px;
    padding: 10px 20px;
    transition: background-color 0.3s ease;
    margin-left: 10px;
    width: 300px; /* Agregamos un ancho */
    margin: 0 auto; /* Centramos horizontalmente */
  }
  
  #reset-btn:hover {
    background-color: #0057b9;
  }
  
  #reset-btn:disabled {
    background-color: #ccc;
    cursor: not-allowed;
  }
  
  #reset-btn:focus {
    outline: none;
  }

  /* BOTON WHATSAPP */

    /* posicion del boton Whatsapp */
    .boton-whatsapp {
      position: fixed;
      bottom: 20px;
      right: 20px;
      transition: all 0.3s ease-in-out;
   }
   
   /* Animacion de elevacion*/
   .boton-whatsapp:hover {
      transform: translateY(-5px);
   }
   
   @media only screen and (max-width: 600px) {
      .boton-whatsapp {
         bottom: 10px;
         right: 10px;
      }
   }
   
   /*animación de ondas circulares en movimiento al borde del icono de WhatsApp*/
   
   .boton-whatsapp:before {
     content: "";
     position: absolute;
     top: -6px;
     left: -6px;
     right: -6px;
     bottom: -6px;
     border-radius: 50%;
     border: 2px solid #333;
     animation: pulse 2s infinite;
   }
   
   .boton-whatsapp:hover:before {
     animation-play-state: paused;
   }
   
   @keyframes pulse {
     0% {
       transform: scale(1);
       box-shadow: 0 0 0 0 rgba(0, 0, 0, 0.7);
     }
     70% {
       transform: scale(1.15);
       box-shadow: 0 0 0 10px rgba(0, 0, 0, 0);
     }
     100% {
       transform: scale(1);
       box-shadow: 0 0 0 0 rgba(0, 0, 0, 0);
     }
   }